# Sign Up Webhook

You can register your webhook endpoint for receiving ConsCent user data by logging in to your ConsCent Client Dashboard and navigating to the Webhook Page. You will be able to enable/disable and edit your webhook URL from this section. Once the webhook URL is registered and the webhook is in the enabled state - the endpoint will receive user data anytime the user logins in for the first time on the client's website or application via ConsCent.

{% code title="SIGN UP JSON" overflow="wrap" %}

```json
{
  "userName": "9818329028",
  "userId": "7843y9xm44428xm24x2m0x2xm42",
  "freeTrial": true,
  "phoneNumber": "9818329028",
  "email": "test-email@webhook.com",
  "country": "IN",
  "hashedPhoneNumber": "7942mey829mxe1238z2ym9zy39my29zy2z9dy24793msy29z2z",
  "hashedEmail": "8392mx30mx2mu8034x02mx802ry2480nyd249yx420xfn20w4y04xm2024",
  "name": "Test Name",
  "city": "London",
  "location": {
    "latitude": 8359893,
    "longitude": 7438734,
    "postcode": 221993
  },
  "os": "Mac OS 10.16",
  "browser": "Chrome",
  "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.93 Safari/537.36",
  "address": {
    "apartment": "7923492 Apartment1",
    "area": "Test Area",
    "pincode": "389023",
    "landmark": "test landmark",
    "city": "New York City",
    "state": "New York",
    "country": "US"
  },
  "clientTierId": "TestTierID1",
  "clientSpecificUserId": "11003289298"
}
```

{% endcode %}

#### Security:

You will either get the user's email or phoneNumber field and accordingly only one of hashedPhoneNumber or hashedEmail. This hash is generated by using jwt.sign and passing the api secret as the secret. Learn more about jwt here. You can verify this by using jwt.verify for security purposes.

Alternately, you can check the authorization headers. Every request to the webhook uses Basic authorization with the api key as the username and the api secret as the password.

-Do note that you will receive either the phoneNumber or the email depending on what the user chooses to log in with.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/old-webhooks/sign-up-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
